Return an Option Type
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://{defaultHost}/api/v2/platform/option_types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url http://{defaultHost}/api/v2/platform/option_types/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "73",
"type": "option_type",
"attributes": {
"name": "foo-size-73",
"presentation": "Size",
"position": 1,
"created_at": "2022-11-08T19:34:32.026Z",
"updated_at": "2022-11-08T19:34:32.026Z",
"filterable": true,
"public_metadata": {},
"private_metadata": {}
},
"relationships": {
"option_values": {
"data": []
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}Return an Option Type
Returns an Option Type
GET
/
api
/
v2
/
platform
/
option_types
/
{id}
Return an Option Type
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://{defaultHost}/api/v2/platform/option_types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url http://{defaultHost}/api/v2/platform/option_types/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "73",
"type": "option_type",
"attributes": {
"name": "foo-size-73",
"presentation": "Size",
"position": 1,
"created_at": "2022-11-08T19:34:32.026Z",
"updated_at": "2022-11-08T19:34:32.026Z",
"filterable": true,
"public_metadata": {},
"private_metadata": {}
},
"relationships": {
"option_values": {
"data": []
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}Was this page helpful?
⌘I

